Summary:        A MOD music file player library
Name:           libmikmod
Version:        3.3.11.1
Release:    1%{?dist}
License:        GPLv2 and LGPLv2+
URL:            http://mikmod.sourceforge.net/
Source0:        http://downloads.sourceforge.net/mikmod/libmikmod-%{version}.tar.gz
Patch0:         libmikmod-64bit.patch
Patch1:         libmikmod-multilib.patch
Patch2:         libmikmod-cflags.patch
Patch3:         libmikmod-autoconf.patch
BuildRequires:  gcc
BuildRequires:  alsa-lib-devel pulseaudio-libs-devel
BuildRequires:  autoconf automake libtool make

%description
libmikmod is a library used by the mikmod MOD music file player for
UNIX-like systems. Supported file formats include MOD, STM, S3M, MTM,
XM, ULT and IT.

%package devel
Summary:        Header files and documentation for compiling mikmod applications
Provides:       mikmod-devel = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       pulseaudio-libs-devel

%description devel
This package includes the header files you will need to compile
applications for mikmod.

%prep
%autosetup -p1

%build
autoreconf -vi
%configure --enable-dl --enable-alsa --disable-simd
%make_build

%install
%make_install INSTALL="install -p"
rm -f %{buildroot}%{_infodir}/dir %{buildroot}%{_libdir}/*.a
find %{buildroot} -name '*.la' -print -delete


%files
%doc AUTHORS NEWS README TODO
%license COPYING.LIB COPYING.LESSER
%{_libdir}/libmikmod.so.3*

%files devel
%{_bindir}/%{name}-config
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4
%{_includedir}/mikmod.h
%{_infodir}/mikmod.info*
%{_mandir}/man1/%{name}-config*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.11.1-1
- initial build
